Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.command
Class GetTaskInstanceCommand

    java.lang.Object
      org.jbpm.command.AbstractGetObjectBaseCommand
          org.jbpm.command.GetTaskInstanceCommand

All Implemented Interfaces:
  java.io.Serializable, Command

    public class GetTaskInstanceCommand

extends AbstractGetObjectBaseCommand

This command can retrieve a task instance (for client) with the given task-id or the token-id (then, the first task for the token is searched)

Author:
  Bernd Ruecker (bernd.ruecker@camunda.com)
See Also:
  Serialized Form

Constructor Summary
`GetTaskInstanceCommand()`
`GetTaskInstanceCommand(long taskInstanceId)`
`GetTaskInstanceCommand(long taskInstanceId, boolean includeVariables, boolean includeLogs)`
`GetTaskInstanceCommand(long taskInstanceId, java.lang.String[] variablesToInclude)`

Method Summary
`java.lang.Object` | `execute(JbpmContext jbpmContext)`
`long` | `getProcessInstanceId()`
`long` | `getTaskInstanceId()`
`long` | `getTokenId()`
`void` | `setProcessInstanceId(long processInstanceId)`
`void` | `setTaskInstanceId(long taskInstanceId)`
`void` | `setTokenId(long tokenId)`

Methods inherited from class org.jbpm.command.AbstractGetObjectBaseCommand
`getJbpmContext, getVariablesToInclude, isIncludeAllVariables, retrieveNode, retrieveProcessDefinition, retrieveProcessInstance, retrieveTaskInstanceDetails, retrieveToken, retrieveVariables, retrieveVariables, setIncludeAllVariables, setJbpmContext, setVariablesToInclude, setVariablesToInclude`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GetTaskInstanceCommand

    public GetTaskInstanceCommand()

### GetTaskInstanceCommand

    public GetTaskInstanceCommand(long taskInstanceId)

### GetTaskInstanceCommand

    public GetTaskInstanceCommand(long taskInstanceId,
                                  boolean includeVariables,
                                  boolean includeLogs)

### GetTaskInstanceCommand

    public GetTaskInstanceCommand(long taskInstanceId,
                                  java.lang.String[] variablesToInclude)

Method Detail

### execute

    public java.lang.Object execute(JbpmContext jbpmContext)
                             throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getTaskInstanceId

    public long getTaskInstanceId()

### setTaskInstanceId

    public void setTaskInstanceId(long taskInstanceId)

### getTokenId

    public long getTokenId()

### setTokenId

    public void setTokenId(long tokenId)

### getProcessInstanceId

    public long getProcessInstanceId()

### setProcessInstanceId

    public void setProcessInstanceId(long processInstanceId)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD